%global debug_package %{nil}

Summary:	TManager Service
Name:		tmanager-service	
Version:	0.0.1
Release:	1%{?dist}
License:	GPLv2
URL:		https://git.woa.com/Host_Sec/tmanager_service
Source0:	https://git.woa.com/Host_Sec/tmanager_service/uploads/tags/0-0-1-4/tmanager-service-release.tar.gz

%description
%{summary}

%prep
%autosetup -n %{name}

%install
rm -rf %{buildroot}
mkdir -p  %{buildroot}
cp -a * %{buildroot}

%post
mkdir -p /etc/tmanager-service/
ln -s -f /etc/systemd/system/tmanager-service.service /etc/systemd/system/multi-user.target.wants/tmanager-service.service

%clean
rm -rf %{buildroot}

%preun
%systemd_preun tmanager-service.service
if [ $1 -eq 0 ]; then
    /sbin/service tmanager-service stop > /dev/null 2>&1
fi

%files
%defattr(-,root,root,-)
%attr(755,root,root) /usr/bin/tmanager-service
#%attr(644,root,root) /etc/tmanager-service/config.json
%attr(644,root,root) /etc/systemd/system/tmanager-service.service

%changelog
* Thu May 25 2023 Narutozhang <narutozhang@tencent.com> - 0.0.1-1
- init